﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="TestMultiPoints.aspx.cs"
    Inherits="Geosys.Prototypes.MapSuite.WebEdition.Pages.TestTemp.TestMultiPoints" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>

    <script language="javascript" type="text/javascript">
        function editme() {
            Map1.SetDrawMode('Modify');
        }
    </script>

    <script type="text/javascript">
        var OnMapCreating = function(map) {
            OpenLayers.Control.ModifyFeature.prototype.collectDragHandle = function() {
                var style_mark = OpenLayers.Util.extend({}, OpenLayers.Feature.Vector.style['default']);

                style_mark.graphicWidth = 24;
                style_mark.graphicHeight = 20;
                style_mark.graphicXOffset = -(style_mark.graphicWidth / 2);  // this is the default value
                style_mark.graphicYOffset = -style_mark.graphicHeight;
                //Here you specify the image what you want
                style_mark.externalGraphic = "../../theme/default/samplepic/circle.png";
                // Here is the tooltip, but graphicTitle only works in Firefox and Internet Explorer
                style_mark.graphicTitle = "this is the center point";

                var geometry = this.feature.geometry;
                var center = geometry.getBounds().getCenterLonLat();
                var originGeometry = new OpenLayers.Geometry.Point(center.lon, center.lat);

                //Here you add the style you have defined before to the point feature.
                var origin = new OpenLayers.Feature.Vector(originGeometry, null, style_mark);
                originGeometry.move = function(x, y) {
                    OpenLayers.Geometry.Point.prototype.move.call(this, x, y);
                    geometry.move(x, y);
                };
                origin._sketch = true;
                this.dragHandle = origin;
                this.layer.addFeatures([this.dragHandle], { silent: true });
            }
        }

        var OnMapCreated = function(map) {
            var modifyControl = Map1.GetMapParser().paintControls["Modify"];
            var layer = Map1.GetMapParser().editOverlay;
            if (layer != null) {
                //The "select" is the style for Selected points. 
                layer.styleMap = new OpenLayers.StyleMap(
                {
                    'select': {
                        fillColor: "red",
                        fillOpacity: 0.4,
                        hoverFillColor: "white",
                        hoverFillOpacity: 0.8,
                        strokeColor: "blue",
                        strokeOpacity: 1,
                        strokeWidth: 2,
                        strokeLinecap: "round",
                        strokeDashstyle: "solid",
                        hoverStrokeColor: "red",
                        hoverStrokeOpacity: 1,
                        hoverStrokeWidth: 0.2,
                        pointRadius: 6,
                        hoverPointRadius: 1,
                        hoverPointUnit: "%",
                        pointerEvents: "visiblePainted",
                        cursor: "pointer"
                    }
                });

                layer.events.register("afterfeaturemodified", this, function(args) {
                    if (args.feature.geometry.CLASS_NAME == "OpenLayers.Geometry.MultiPoint") {
                        var layer = args.object;
                        for (var i in layer.features) {
                            var feature = layer.features[i];
                            if (feature.geometry.CLASS_NAME == "OpenLayers.Geometry.MultiPoint") {
                                layer.drawFeature(feature, "default");
                            }
                        }
                    }
                });
            }
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <input type="button" id="btnEdit" onclick="editme();" value="editmode" />
    Go to Edit Mode
    <cc1:Map ID="Map1" runat="server" Height="480px" Width="575px">
    </cc1:Map>
    </form>
</body>
</html>
